expect (5.45-7) testing; urgency=medium

  [ Sergei Golovan ]
  * Applied a few fixes by upstream which were included in Expect 5.45.3
    never released as a tarball (closes: #799301).
  * Bumped standards version to 3.9.6.

  [ Deepin/MIPS Team ]
  * Rebuild on mips64el

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Oct 2015 11:27:59 +0300

expect (5.45-6) unstable; urgency=low

  * Split the expect package into expect and tcl-expect where the libexpect
    library and the Tcl package are moved. Made the tcl-expect package
    multiarch same.
  * Renamed the expect-dev package into tcl-expect-dev and moved the included
    scripts into the main expect package.
  * Build expect with Tcl 8.6.
  * Use CFLAGS from the dpkg build flags. Fixed potential security bug in
    printf format handling.
  * Bumped the debhelper compatibility version to 9.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Jul 2014 08:30:57 +0400

expect (5.45-5) unstable; urgency=low

  * Added patch which replaces memcpy my memmove for copying possibly
    overlapping memory area, thanks to Per Cederqvist (closes: #728663).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Nov 2013 08:28:43 +0400

expect (5.45-4) unstable; urgency=low

  * Execute tclsh8.5 instead of tclsh in expect scripts because tcl8.5
    will stop providing /usr/bin/tclsh.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 06 Oct 2013 09:00:38 +0400

expect (5.45-3) unstable; urgency=low

  * Added conflicts header to the debian/control file which ensures that the
    no longer existing expectk package gets removed (closes: #686364).
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility level to 8.
  * Bumped standards version to 3.9.4.
  * Added hardening linker flags.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 06 May 2013 13:34:56 +0400

expect (5.45-2) unstable; urgency=low

  * Replaced ckalloc() call in exp_clib.c by malloc() because using the
    ordinary free() leads to memory corruption after ckalloc() (which is
    a macro for Tcl_Alloc()). See patches/22-segfault-with-stubs.patch
    for segfaulting examples.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Nov 2011 12:14:05 +0400

expect (5.45-1) unstable; urgency=low

  * New upstream release.
  * Removed unnecessary patches.
  * Removed the expectk package because expectk was dropped from the upstream
    distribution. See NEWS.Debian for possible workarounds.
  * Updated package to standards version 3.9.2 (no changes needed).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 17 Aug 2011 21:50:29 +0400

expect (5.44.1.15-4) unstable; urgency=low

  * Added patch by upstream which fixes crash during exact string matching
    in expect command if the search pattern contains non-ASCII characters.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Oct 2010 10:29:04 +0400

expect (5.44.1.15-3) unstable; urgency=low

  * Added patch by upstream (proposed by Per Cederqvist) which fixes
    slow processing of certain regexp patterns by preventing their
    convertation to glob patterns (closes: #591695).
  * Don't load Expect package to tclsh 8.4 because it causes a
    segmentation fault.
  * Updated package to standards version 3.9.1 (no changes needed).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 05 Sep 2010 09:48:27 +0400

expect (5.44.1.15-2) unstable; urgency=low

  * Removed a bit of implicit-declarations patch which included tcl.h into
    exp_clib.c and redefined memory allocation routines because of Tcl
    stubs (closes: #588817).
  * Updated package to standards version 3.9.0 (no changes needed).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Jul 2010 18:31:29 +0400

expect (5.44.1.15-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 15 Mar 2010 20:56:14 +0300

expect (5.44.1.14-5) unstable; urgency=low

  * Fixed sourcing rc flies by expectk (closes: #555746).
  * Removed another unnecessary patch.
  * Adapted expect test suite to the changes in pkgIndex.tcl which can't load
    Expect package if it isn't installed into /usr/lib.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 18 Nov 2009 22:42:44 +0300

expect (5.44.1.14-4) unstable; urgency=low

  * Added replaces field to expect-dev binary package because libexpect(3)
    manpage was moved from expect to expect-dev package (closes: #554947).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 07 Nov 2009 15:53:09 +0300

expect (5.44.1.14-3) unstable; urgency=low

  * Removed build dependencies which are also dependencies of tk8.5-dev
    (since 8.5.7-2).
  * Use locally defined function Tcl_ErrnoMsg in exp_clib.c because this
    part of the library is supposed to be used without loading into a Tcl
    interpreter, which isn't possible if expect is build with Tcl stubs
    (closes: #552685).
  * Removed unneeded patches from debian/patches, cleaned up other ones.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Nov 2009 21:21:56 +0300

expect (5.44.1.14-2) unstable; urgency=low

  * Added buid conflict with autoconf2.13 because autoconf 2.50 or newer is
    required to process configure.in template.
  * Fixed building with the current config.sub and config.guess from
    autotools-dev package (closes: #551332).
  * Fixed cleaning after build is done.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Oct 2009 12:24:40 +0400

expect (5.44.1.14-1) unstable; urgency=low

  * New maintainer Sergei Golovan <sgolovan@debian.org> (closes: #543839).
  * New upstream CVS snapshot.
  * Switched to upstream which maintains CVN at SourceForge.net because
    Don Libet doesn't have time to develop Expect anymore. Therefore, changed
    upstream homepage.
  * Switched to Tcl/Tk 8.5 (closes: #512150).
  * Don't call configure and build targets twice anymore (closes: #441114).
  * Upstream includes patch which fixes empty writes (closes: #421187).
  * The new upstream fixed a regression which didn't allow to read from stdin
    (closes: #347259).
  * Added README.source with a link to /usr/share/doc/quilt/README.source
    where an instruction on how to patch upstream sources is located.
  * Removed examples from /usr/share/doc/expect-dev/examples because all of
    them are shipped in /usr/bin directory. This makes uncompressing them
    unnecessary (closes: #495605).
  * Added links all expect_* script to their original names, except mkpasswd,
    rftp and weather to avoid conflicts with other packages
    (closes: #508320, #532332).
  * Upstream removed useless "puts hello" from multixterm script
    (closes: #550909).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 16 Oct 2009 23:39:56 +0400

expect (5.43.0-19) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 07:22:39 +0200

expect (5.43.0-18) unstable; urgency=low

  * Adding patch from Adam Tkac <atkac@redhat.com> to compile with
    tcl8.5, but not yet enabling it.
  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards version 3.8.2.
  * Adding misc depends.
  * Removing shlibs file.
  * Using quilt rather than dpatch.
  * Adding patch from fedora to fix header comments.
  * Adding patch from fedora to fix permissions when accessing logfiles.
  * Adding patch from Vitezslav Crhonek <vcrhonek@redhat.com> for tcl
    8.5.6, but not yet enabling it.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 12:00:29 +0200

expect (5.43.0-17) unstable; urgency=low

  * Reordering removal of config.guess and config.sub in clean target
    (Closes: #488489).
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 03 Jul 2008 10:38:00 +0200

expect (5.43.0-16) unstable; urgency=low

  * Reordering rules file.
  * Using lintian debhelper to install lintian overrides.
  * Rewriting copyright file in machine-interpretable format.
  * Removing watch file.
  * Adding vcs fields in control.
  * Upgrading package to debhelper 7.
  * Removing useless whitespace in changelog file.
  * Reverting config.guess and config.sub to upstream.

 -- Daniel Baumann <daniel@debian.org>  Sat, 03 May 2008 12:44:00 +0200

expect (5.43.0-15) unstable; urgency=low

  * Bumping to new policy.
  * Using homepage field in control.
  * Don't hide make errors in clean target of rules.
  * Adding tk8.4-dev to expect-dev depends.
  * Including expect scripts in expect-dev (Closes: #442142).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 13:50:00 +0100

expect (5.43.0-14) unstable; urgency=low

  * Acknowledge NMU (Closes: #441115).
  * Rediffed 13-implicit-defs.dpatch.

 -- Daniel Baumann <daniel@debian.org>  Wed, 10 Oct 2007 12:02:00 +0200

expect (5.43.0-13.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Fix implicit definitions throughout.  Closes: #441115

 -- LaMont Jones <lamont@debian.org>  Wed, 19 Sep 2007 15:38:18 -0600

expect (5.43.0-13) unstable; urgency=low

  * Applied patch from Ian Jackson <iwj@ubuntu.com> to
    add fdout in expBusy (Closes: #440818).

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Sep 2007 21:34:00 +0200

expect (5.43.0-12) unstable; urgency=low

  * Applied patch from Ian Jackson <iwj@ubuntu.com> to check before call
    ttyname, so don't coredump in chroots without /proc (Closes: #440804).

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Sep 2007 15:47:00 +0200

expect (5.43.0-11) unstable; urgency=low

  * Fixed clean: target in rules (Closes: #424200).

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 May 2007 11:17:00 +0200

expect (5.43.0-10) unstable; urgency=low

  * Removed double reference to expect in expecttk depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 May 2007 15:34:00 +0200

expect (5.43.0-9) unstable; urgency=low

  * Minor cleanups.
  * Bumping package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 May 2007 13:50:00 +0200

expect (5.43.0-8) unstable; urgency=medium

  * Added patch from Niko Tyni <ntyni@iki.fi> to fix static library name on
    alpha, mips and mipsel (Closes: #390366).
  * Added *.so symlink (Closes: #390365).

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Oct 2006 22:23:00 +0200

expect (5.43.0-7) unstable; urgency=medium

  * Adjusted 06-pkgindex.dpatch to reflect the new soname introduced with
    5.43.0-4 in pkgIndex.tcl (Closes: #381052).

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Aug 2006 20:54:00 +0200

expect (5.43.0-6) unstable; urgency=low

  * Adjusted lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Jul 2006 18:48:00 +0200

expect (5.43.0-5) unstable; urgency=low

  * Moved examples from path to examples directory (Closes: #377851).

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Jul 2006 18:54:00 +0200

expect (5.43.0-4) unstable; urgency=low

  * New maintainer (Closes: #368094).
  * Acknowledge NMU (Closes: #367618, #368364, #368580).
  * Redone debian directory based on newer debhelper templates, additionally:
    - Added lintian overrides.
    - Added watch file.
    - Fixed depends (Closes: #375869).
    - Rediffed all patches from scratch using dpatch, put descriptions to
      every patch and assigned correct credits. All patches get applied now.
    - Rewritten debian/copyright, it's the correct and relevant information now.
    - Running test suites while the build process.
    - Set soname to libexpect.so.5.43.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Jul 2006 15:40:00 +0200

expect (5.43.0-3.1) unstable; urgency=low

  * NMU to fix atlas3 FTBFS.
  * Apply patch from Paul Cupis:
    - Move libexpect5.43.so into expect package. (Closes: 367618)
      (libexpect-dev Depends on expect, so 367325 is still fixed.)

 -- Bill Allombert <ballombe@debian.org>  Sun, 21 May 2006 17:36:06 +0200

expect (5.43.0-3) unstable; urgency=high

  * Applied patch from Alec Berryman, fixing a symlink error.
    Closes: #367325

 -- Jonathan Walther <krooger@debian.org>  Tue, 16 Mar 2006 12:46:52 -0800

expect (5.43.0-2) unstable; urgency=high

  * Lintian fix: more hyphenation in the manpage.
  * Lintian fix: removed DH_COMPAT from rules file.

 -- Jonathan Walther <krooger@debian.org>  Sun, 12 Mar 2006 22:24:52 -0800

expect (5.43.0-1) unstable; urgency=high

  * Latest upstream (still two years old though)
  * Better fix for infinite write bug

 -- Jonathan Walther <krooger@debian.org>  Sun, 05 Mar 2006 02:06:52 -0800

expect (5.42.1-5) unstable; urgency=high

  * Lintian fix: standards version.
  * Lintian fix: linebreak in manpage.
  * Fixing hyphenation escaping in manpage too.
  * Previous release fixed this bug.
    Closes: #270628

 -- Jonathan Walther <krooger@debian.org>  Sun, 05 Mar 2006 02:06:52 -0800

expect (5.42.1-4) unstable; urgency=high

  * Depending on autoconf2.13 not necessary because config.{guess,sub} is
    properly updated now.  Thank you LaMont Jones and Steve Langasek.
    Closes: #295633
  * Fixed an infinite write bug. Thank you Martin Forssen for the patch.
    Closes: #294092
  * Output problems should be fixed now that infinite write bug is fixed.
    Closes: #301556
  * Incorrect use of fork() is not expect's problem.  Without more
    information, I have to declare this a Tcl8.4 bug.
    Closes: #314224
  * All the tests in the tests directory pass with flying colors.
    Closes: #156815
  * Upstream fixed the autoexpect script at some point in the past.
    Closes: #197640

 -- Jonathan Walther <krooger@debian.org>  Sat, 21 Jan 2006 01:13:52 -0800

expect (5.42.1-3) unstable; urgency=high

  * Doing package ownership transfer properly.

 -- Jonathan Walther <krooger@debian.org>  Fri, 20 Jan 2006 20:49:52 -0800

expect (5.42.1-2) unstable; urgency=high

  * Now does auto-update of config.guess and config.sub
    Closes: #277350
  * Package transfered from Mike Markley, recently retired.
  * README.Debian file not needed; Mike dropped it on Aug 17, 2004.
    Closes: #253233
  * Added -ansi -D_SVID_SOURCE -D_POSIX_SOURCE to CFLAGS
    Closes: #301558
  * example/kibbitz was changed to not exec expect at some point in the
    past.  If you still have problems, file a new bug.
    Closes: #291430
  * Implemented Andrew Suffields security suggestion.
    Closes: #157902

 -- Jonathan Walther <krooger@debian.org>  Fri, 20 Jan 2006 20:09:52 -0800

expect (5.42.1-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix
  * Update config.sub and config.guess against current autotools, and
    pass --build=$(DEB_BUILD_GNU_TYPE) to configure, to avoid build
    failures on unknown host types (closes: #255743).

 -- Steve Langasek <vorlon@debian.org>  Thu, 06 Jan 2005 22:23:52 -0800

expect (5.42.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix
  * Update expect_cf.h.in to move all comments onto their own lines, for
    compatibility with autoconf 2.5 and fixing build failures.
    Closes: #282347
  * Use TARGETDIR instead of TMPDIR as a variable name in debian/rules:
    the latter has special significance, and was interfering with the
    build process locally.

 -- Steve Langasek <vorlon@debian.org>  Sat, 04 Dec 2004 03:54:53 -0800

expect (5.42.1-1) unstable; urgency=low

  * New upstream version
  * Drop the README.Debian that I forgot to commit anyway because
    the caveats don't seem to have materialized

 -- Mike Markley <mike@markley.org>  Tue, 17 Aug 2004 00:34:18 -0700

expect (5.41.0-1) unstable; urgency=low

  * New upstream version (Closes: #251637, #251641)
  * Enable threading w/tcl8.4. Also added some information to
    README.Debian about the caveats of this change. Closes: #239550

 -- Mike Markley <mike@markley.org>  Thu, 03 Jun 2004 01:19:26 -0700

expect (5.39.0-1) unstable; urgency=low

  * New upstream version (Closes: #216323)
  * Roll back to tcl8.3 because of problems with threading. This
    will hopefully be corrected at a later date with proper thread
    support (Closes: #196084)
  * Changed server in weather example since old one no longer works
    (Closes: #139343)
  * Manpage typo fix (Closes: #212875)
  * Cleanup descriptions (Closes: #209485)
  * Check for /usr/bin/crypt in cryptdir examples (Closes: #67197)
  * Correct upstream URL (Closes: #216321)

 -- Mike Markley <mike@markley.org>  Fri, 17 Oct 2003 16:53:02 -0700

expect (5.38.0-5) unstable; urgency=low

  * Fixed stupid typo in pkgIndex.in (Closes: #186179)

 -- Mike Markley <mike@markley.org>  Wed, 09 Apr 2003 00:32:30 -0700

expect (5.38.0-4) unstable; urgency=low

  * Cleaning out the BTS...
  * Rebuild against tcl 8.4 (Closes: #183113)
  * Fix occurences of /usr/local/bin in manpages (Closes: #112062)
  * While I'm uploading, this version uses -not instead of -n as the
    short form of -notransfer, manpage is up-to-date (Closes: #134769)
  * Added patch from Russell Coker to set fd3 to close on exit
    (Closes: #166677)
  * Fix for 64-bit unsafeness included already, never marked it
    (Closes: #126091)

 -- Mike Markley <mike@markley.org>  Tue, 11 Mar 2003 02:52:46 -0800

expect (5.38.0-3) unstable; urgency=low

  * Fixed pkgIndex.tcl (Closes: #167735)
  * The library name was still 5.37, bumped up to 5.38, this will
    require package recompilation...

 -- Mike Markley <mike@markley.org>  Mon, 04 Nov 2002 15:41:03 -0800

expect (5.38.0-2) unstable; urgency=low

  * Added patch from Andrew Suffield to fix segfault possibility
    when ending a script with open channels (Closes: #157901)

 -- Mike Markley <mike@markley.org>  Tue, 27 Aug 2002 03:11:45 -0700

expect (5.38.0-1) unstable; urgency=low

  * New upstream version
  * Added patch from Jack Howarth regarding spawn problems resulting
    in, among other things, failed "make check"s (Closes: #156854)

 -- Mike Markley <mike@markley.org>  Fri, 16 Aug 2002 20:04:30 -0700

expect (5.37-3) unstable; urgency=low

  * Fixed paths in examples (Closes: #152367)

 -- Mike Markley <mike@markley.org>  Wed, 10 Jul 2002 22:53:19 -0700

expect (5.37-2) unstable; urgency=low

  * Fixed the soname issue (the issue being that it wasn't there)
    Closes: #151153, #151160

 -- Mike Markley <mike@markley.org>  Thu, 27 Jun 2002 22:29:38 -0700

expect (5.37-1) unstable; urgency=low

  * New upstream version.
  * Stubs patch needed slight tweaking to mesh with this version
  * Stubs patch also no longer patches configure (so run autoconf
    if it's changed!)
  * Updated debconf dependency (I'm now using DH_COMPAT=3...)
  * Removed the dummy packages into its own source package so we
    don't have to upload new ones everytime expect is updated...

 -- Mike Markley <mike@markley.org>  Tue, 25 Jun 2002 23:47:46 -0700

expect (5.32.2-4) unstable; urgency=low

  * Expectk was linked against a broken libtk8.3 that didn't provide
    proper soname; rebuild to fix (Closes: #107908)

 -- Mike Markley <mike@markley.org>  Tue, 07 Aug 2001 10:08:52 -0700

expect (5.32.2-3) unstable; urgency=low

  * Changed hardcoded path for write to the proper Debian path
    (Closes: #103833)
  * Removed old substvars.debhelper file
  * Fixed some Replaces/Conflicts lines (I typo'd on a couple of
    the upgrade ones...)
  * Fixed minor typos in descriptions, while I'm at it...
  * Removed $(vso) from debian/rules - it was a hack for the mis-
    matched package name and version numbers

 -- Mike Markley <mike@markley.org>  Thu, 02 Aug 2001 23:10:05 -0700

expect (5.32.2-2) unstable; urgency=low

  * Removed autoconf call (Closes: #102895)
  * Removed check for Tcl install (this is the age of Build-Deps)

 -- Mike Markley <mike@markley.org>  Sat, 30 Jun 2001 13:36:35 -0700

expect (5.32.2-1) unstable; urgency=low

  * New upstream release
  * Dropped separate packages, retaining 5.31 changelog since I'm
    carrying over that packaging...
  * Removed alternatives code from maintainer scripts

 -- Mike Markley <mike@markley.org>  Mon, 14 May 2001 01:00:59 -0700

expect5.31 (5.31.8-3) unstable; urgency=low

  * Added build-dep for autoconf (closes: #70411)

 -- Mike Markley <mike@markley.org>  Mon, 18 Sep 2000 22:02:40 -0700

expect5.31 (5.31.8-2) unstable; urgency=low

  * New maintainer.

 -- Mike Markley <mike@markley.org>  Fri, 25 Aug 2000 19:06:36 -0700

expect5.31 (5.31.8-1) unstable; urgency=low

  * New upstream version.
  * Added a Suggests for expectk (Bug#65702).

 -- David Engel <david@debian.org>  Sun, 02 Jul 2000 15:20:28 -0500

expect5.31 (5.31.5-2) unstable; urgency=low

  * Rebuilt without stubs, but in a way that still works with
    Tcl/Tk 8.2.

 -- David Engel <david@debian.org>  Mon, 10 Apr 2000 10:51:07 -0500

expect5.31 (5.31.5-1) unstable; urgency=low

  * New upstream version.
  * Rebuilt with Tcl/Tk 8.3.
  * Applied stubs patch to work with Tcl/Tk 8.2.

 -- David Engel <david@debian.org>  Sat, 08 Apr 2000 20:43:54 -0500

expect5.31 (5.31.2-3) unstable; urgency=low

  * Removed dash patch fixes since they are no longer needed.

 -- David Engel <david@debian.org>  Mon, 15 Nov 1999 12:09:58 -0600

expect5.31 (5.31.2-2) unstable; urgency=low

  * Run autoconf directly instead of letting the Makefile do it
    (Bug#49168).

 -- David Engel <david@debian.org>  Thu, 04 Nov 1999 21:04:41 -0600

expect5.31 (5.31.2-1) unstable; urgency=low

  * New upstream version.
  * Fixed expectk to work with dash-enhanced Tk (Bug#48722).
  * Fixed build problems with non-compatible Tcl/Tk versions
    present (Bug#47399).

 -- David Engel <david@debian.org>  Sat, 30 Oct 1999 21:40:06 -0500

expect5.31 (5.31.0-2) unstable; urgency=low

  * Fixed bad substitution in examples (Bug#46422).
  * FHS changes.

 -- David Engel <david@debian.org>  Sat, 02 Oct 1999 10:55:25 -0500

expect5.31 (5.31.0-1) unstable; urgency=low

  * Initial packaging.

 -- David Engel <david@debian.org>  Sat, 28 Aug 1999 23:53:51 -0500
